const { Vector, world } = require('@tabletop-playground/api');
//-----------------------------------------------------------------
let idObjects = []
function SetIdObject(id) {
  idObjects.push(id);
}
function SetValueChars(array) {
  for (let i = 0; i < idObjects.length; i++) {
    world.getObjectById(idObjects[i]).RecalculationMain(array);
  }
}
//-----------------------------------------------------------------
function PositionsFontUI(startX, i) { return startX - 0.005 * i; }

const TypeShow = {
  STANDART: 0,
  PROCENT: 1,
}
function ChangeImageSlider(image, value, maxValue, position, text, parent, startX, type, multiply) {
  type = type || TypeShow.STANDART; multiply = multiply || 10;
  let procent = (100 * value) / maxValue;
  image.width = procent * multiply;
  image.position = position.add(new Vector(0, PositionsFontUI(startX, image.width), 0));
  if (TypeShow.STANDART == type)
    text.setText(value + "/" + maxValue);
  else if (TypeShow.PROCENT == type)
    text.setText(procent + "%");
  parent.updateUI(image);
}
//-----------------------------------------------------------------
module.exports.ChangeImageSlider = ChangeImageSlider;
module.exports.PositionsFontUI = PositionsFontUI;
module.exports.TypeShow = TypeShow;
module.exports.SetValueChars = SetValueChars;
module.exports.SetIdObject = SetIdObject;